function fig3_2

nx=200;
x=linspace(0.001,1,nx);

fact=2.4/exp(1);
ep=0.00001;
pow=linspace(-6,0,nx);
for ix=1:nx
    x(ix)=10^pow(ix);
	outer(ix)=fact*exp(1-x(ix));  
	inner(ix)=exp(1)*(1-exp(-2*x(ix)/ep));
	composite(ix)=exp(1-x(ix))-exp(1-2*x(ix)/ep);
end

clf
% get(gcf)
set(gcf,'Position', [25 1115 658 230])
co = [0 0 1;
    0 0.5 0;
    1 0 0;
    0 0.75 0.75;
    0.75 0 0.75;
    0.75 0.75 0;
    0.25 0.25 0.25];
set(groot,'defaultAxesColorOrder',co)
subaxis(1,1,1,1,'MT',0.01,'MB',0.2,'MR',0.01,'ML',0.05,'P',0.04)

semilogx(x,outer,'b','Linewidth',1.3)
hold on
semilogx(x,inner,'r','Linewidth',1.3)
box on
grid on
set(gca,'YTickLabel',{'0';' ';' ';' '})

ax = gca;
ax.XAxis.TickLabelInterpreter = 'latex';
ax.YAxis.TickLabelInterpreter = 'latex';
set(gca,'FontSize',13)

xlabel('$x$\,-\,axis','Interpreter','latex','FontSize',14)
ylabel('Solution','Interpreter','latex','FontSize',14)

legend(' Outer Approximation\,\,\,\,',' Inner Approximation','Location','South','FontSize',13,'Interpreter','latex')

annotation(gcf,'textbox',[0.952 0.85 0.05685 0.1],'String','$$A$$','FitBoxToText','off','EdgeColor','white','FontSize',14,'Interpreter','latex')
annotation(gcf,'textbox',[0.055 0.792 0.08915 0.09],'String','e','FitBoxToText','off','EdgeColor','white','FontSize',14,'Interpreter','latex')

%exportgraphics(gcf,'/Users/mark/Desktop/fig22.pdf')
